import { IJsFixConfig, IJsFixLogger } from '../config';
import { ISessionDescription } from '../transport';
import { DependencyContainer } from 'tsyringe';
import { EngineFactory } from './engine-factory';
import { SessionContainer } from './session-container';
export declare abstract class SessionLauncher {
    readonly initiatorConfig: string;
    readonly acceptorConfig: string;
    root: string;
    protected readonly logger: IJsFixLogger;
    protected constructor(initiatorConfig: string, acceptorConfig?: string);
    protected sessionContainer: SessionContainer;
    private empty;
    protected getAcceptor(sessionContainer: DependencyContainer): Promise<any>;
    protected getInitiator(sessionContainer: DependencyContainer): Promise<any>;
    protected makeFactory(config: IJsFixConfig): EngineFactory;
    run(): Promise<any>;
    exec(): void;
    isAscii(description: ISessionDescription): boolean;
    isInitiator(description: ISessionDescription): boolean;
    protected registerApplication(sessionContainer: DependencyContainer): void;
    private makeSystem;
    private register;
    private makeClient;
    private makeServer;
    private setup;
}
